import axios from '../utils/request';

export async function login (email, password) {
  const res = await axios.post(`/api/v1/login`, {
    email, password, authCode: ''
  });
  return res.data;
}

export async function fetchCurrentUser () {
  return await axios.get("/api/v1/fetch_user");
}

export async function getPermissions (email) {
  console.log("fe service, getPermissions:::", email)
  return await axios.get("/api/v1/user/get_permissions", { params: { email } });
}
//用户详情
export async function getUser_detail (user_id) {
  const res = await axios.post(`/api/v1/merchant/authority/get_user_info`, {
    user_id
  })
  return res.result;
}